> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blox.report/llms.txt
> Use this file to discover all available pages before exploring further.

# Check if a user can be reported

> Checks if a user can be reported based on the max reports per day, if the user is already banned, and if the reporter has already reported the user.

Requires permissions: reports.submit_report



## OpenAPI

````yaml https://backend.blox.report/openapi.json post /v1/reports/check
openapi: 3.1.0
info:
  title: Blox.report API
  description: >-
    Backend API for Blox.report. Authentication with API key and secret as
    `key:secret` in Authorization header.
  version: 1.0.0
  contact: {}
servers:
  - url: https://backend.blox.report
    description: Production API
security: []
tags:
  - name: Reports
paths:
  /v1/reports/check:
    post:
      tags:
        - Reports
      summary: Check if a user can be reported
      description: >-
        Checks if a user can be reported based on the max reports per day, if
        the user is already banned, and if the reporter has already reported the
        user.


        Requires permissions: reports.submit_report
      operationId: postV1ReportsCheck
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                userId:
                  type: string
                  minLength: 1
                reporterId:
                  type: string
                  minLength: 1
              required:
                - userId
                - reporterId
              additionalProperties: false
      responses:
        '200':
          description: Whether the user can be reported
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    const: true
                  canReport:
                    type: boolean
                  user:
                    type: object
                    properties:
                      id:
                        type: number
                      name:
                        type: string
                      displayName:
                        type: string
                        nullable: true
                    required:
                      - id
                      - name
                      - displayName
                    additionalProperties: false
                  reporterId:
                    type: string
                  reason:
                    type: string
                required:
                  - success
                  - canReport
                  - user
                  - reporterId
                  - reason
                additionalProperties: false
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - message
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  message:
                    type: string
                    description: Error message
                  errors:
                    type: array
                    description: >-
                      Only present for 400 when endpoint has a body schema
                      (validation errors)
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                        message:
                          type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - message
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  message:
                    type: string
                    description: Error message
                  errors:
                    type: array
                    description: >-
                      Only present for 400 when endpoint has a body schema
                      (validation errors)
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                        message:
                          type: string
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - message
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  message:
                    type: string
                    description: Error message
                  errors:
                    type: array
                    description: >-
                      Only present for 400 when endpoint has a body schema
                      (validation errors)
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                        message:
                          type: string
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - message
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  message:
                    type: string
                    description: Error message
                  errors:
                    type: array
                    description: >-
                      Only present for 400 when endpoint has a body schema
                      (validation errors)
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                        message:
                          type: string
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - message
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  message:
                    type: string
                    description: Error message
                  errors:
                    type: array
                    description: >-
                      Only present for 400 when endpoint has a body schema
                      (validation errors)
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                        message:
                          type: string
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - message
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  message:
                    type: string
                    description: Error message
                  errors:
                    type: array
                    description: >-
                      Only present for 400 when endpoint has a body schema
                      (validation errors)
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                        message:
                          type: string
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API key and secret as `key:secret` in Authorization header.

````